<div class="ui grid">
  <div class="four wide column">
    <div class="ui card">
      <div class="ui dimmer" [ngClass]="{ active: showChangeFields }">
        <div class="ui text loader">Loading</div>
      </div>
      <div class="image">
        <img [src]="user.imgUrl" alt="User's profile picture" />
      </div>
      <div class="content">
        <a class="header">{{ user.name }}</a>
        <div class="description">
          {{ user.email }}
        </div>
      </div>
    </div>
  </div>

  <div class="twelve wide column">
    <button class="ui button" (click)="enableChangeFields()">Change profile info</button>

    <div [ngStyle]="{ display: showChangeFields ? 'block' : 'none' }">
      <!-- Sablon za formular -->
      <form class="ui form" [formGroup]="userForm" (ngSubmit)="onSubmitUserForm()">
        <div>
          <label>Username</label>
          <input type="text" formControlName="username" />
        </div>

        <div>
          <label>Email</label>
          <input type="email" formControlName="email" />
        </div>

        <div>
          <label>Name</label>
          <input type="text" formControlName="name" />
        </div>

        <!-- Jednostavno pohranjivanje jedne datoteke -->
        <div class="form-group">
          <label for="file">Choose File</label>
          <input type="file" formControlName="imgUrl" (change)="handleFileInput($event)" />
        </div>

        <button class="ui button" type="submit">Finish</button>
      </form>
    </div>
  </div>

  <div class="sixteen wide column">
    <h3>Order history</h3>
    <app-order-list></app-order-list>
  </div>
</div>
